module KBCompletion where

import Derivation
import E
import ES
import PE
import Rewriting
import ReductionOrder

-- NOTE: we cannot use list comprehension.
-- delete and simplify must be performed sequentially.
interreduce' :: Int -> ReductionOrderParam -> ES -> ES -> ES -> (Int, ES, ES)
interreduce' next_id _ [] reduced deleted = (next_id, reduced, deleted)
interreduce' next_id param (e : es) reduced deleted
  | not (active e)
    = interreduce' next_id param es reduced (e : deleted)
  | ReductionOrder.groundJoinable param es' l' r'
    = interreduce' next_id param es reduced (deactivate e : deleted)
  | not (variant (l, r) (l', r'))
    = interreduce' (next_id+1) param es  (e' : reduced) (deactivate e : deleted)
  | otherwise -- the case if (l, r) and (l', r') are variant.
              -- For example, no rewriting happened.
    = interreduce' next_id param es (e : reduced) deleted
  where
    es' = reduced ++ es
    E { eqn = (l, r), eqn_id = i } = e
    gt = param2ord param
    (l_ids, l') = nf es' gt l
    (r_ids, r') = nf es' gt r
    deriv = Simp { original = i, rw_r = r_ids, rw_l = l_ids }
    e' = E { eqn = (l', r'),
             eqn_id = next_id,
             eqn_derivation = deriv,
             active = True }

-- args: (E, >)
-- performs "simplify" and "delete"
-- returns (next_id, reduced, deleted)
interreduce :: Int -> ReductionOrderParam -> ES -> (Int, ES, ES)
interreduce next_id param es = interreduce' next_id param es [] []
