module LPO where
-- Lexicographic Path Order

import Term

-- `gtLPO > s t` tests `s >_lpo t`.
-- NOTE: gtLPO assume that Precedence is total.
--       this requirement might be inappropriate...
gtLPO :: Precedence -> Term -> Term -> Bool
gtLPO _ (V _) _ = False
gtLPO _ s (V x) = x `elem` (variables s)
gtLPO prec s@(F f ss) t@(F g ts)
  | any (\si -> si == t || gtLPO prec si t) ss = True
  | gtPrec prec f g && isGtLPOThanAny s ts = True
  | f == g && isGtLPOThanAny s ts && lexGtLPO ss ts = True
  | otherwise = False
  where isGtLPOThanAny s' ts' = all (\tj -> gtLPO prec s' tj) ts'
        lexGtLPO [] [] = False
        lexGtLPO (s' : ss') (t' : ts')
          | s' == t' = lexGtLPO ss' ts'
          | gtLPO prec s' t' = True
          | otherwise = False
        lexGtLPO _ _ = undefined
